Name:               python-llfuse
Version:            1.5.0
Release:    1%{?dist}
Summary:            Python Bindings for the low-level FUSE API
Source0:            https://files.pythonhosted.org/packages/source/l/llfuse/llfuse-%{version}.tar.gz
URL:                https://pypi.python.org/pypi/llfuse
License:            LGPLv2+

BuildRequires:      gcc
BuildRequires:      libattr-devel
BuildRequires:      fuse >= 2.9.0
BuildRequires:      fuse-devel >= 2.9.0
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-Cython
BuildRequires:      python%{python3_pkgversion}-pytest

%description
LLFUSE is a set of Python bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python%{python3_pkgversion}-llfuse
Summary:            Python Bindings for the low-level FUSE API Python %{python3_version} packages
%{?python_provide:%python_provide python%{python3_pkgversion}-llfuse}

%description -n python%{python3_pkgversion}-llfuse
LLFUSE is a set of Python %{python3_version} bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%prep
%autosetup -n llfuse-%{version}
rm -rf src/llfuse.egg-info

rm $(grep -rl '/\* Generated by Cython')

%build
%{__python3} setup.py build_cython
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-3 -v test

%files -n python%{python3_pkgversion}-llfuse
%doc README.rst Changes.rst
%license LICENSE
%{python3_sitearch}/llfuse*.so
%{python3_sitearch}/llfuse*.egg-info


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-1
- initial build
